# -*- coding: utf-8 -*-
"""
Created on Tue Jan 23 09:33:23 2018

@author: Callie Darsey

Example of writing a video.
"""

## for when write_video is true
#fourcc = cv2.VideoWriter_fourcc(*'XVID')
#root, ext = os.path.splitext(video_path)
#video_path_less_frames = root + '__skipped_' + str(framesToAdvance - 1) + ext
#out = cv2.VideoWriter(video_path_less_frames, fourcc, 20, frame1_full.shape[0:2])
#
#if out.isOpened():
#    out.write(frame1_full)
#else:
#    print('\nout not open\n')
#    
#if video_write:
#
#if out.isOpened():
#    out.write(frame2_full)
#else:
#    print('\nout not open\n')
#    
#out.release()


import numpy as np
import cv2

cap = cv2.VideoCapture(0)

# Define the codec and create VideoWriter object
fourcc = cv2.VideoWriter_fourcc(*'XVID')
out = cv2.VideoWriter('output.avi',fourcc, 20.0, (640,480))

while(cap.isOpened()):
    ret, frame = cap.read()
    if ret==True:
        frame = cv2.flip(frame,0)

        # write the flipped frame
        out.write(frame)

        cv2.imshow('frame',frame)
        if cv2.waitKey(1) & 0xFF == ord('q'):
            break
    else:
        break

# Release everything if job is finished
cap.release()
out.release()
cv2.destroyAllWindows()