# -*- coding: utf-8 -*-
"""
Created on Thu Feb 22 11:18:28 2018

@author: Callie Darsey
"""

import cv2
import numpy as np

I = cv2.imread('50264881_00101_0107_Medium.jpg')

row_start = 130
height = 6

col_start = 107
width = 6

image = I[row_start:row_start + height, col_start:col_start + width, :]

image_gray = cv2.cvtColor(image, cv2.COLOR_BGR2GRAY)

for row in image_gray:
    s = ''
    for element in row:
        s = s + '{:3d}'.format(element) + ', '
    print(s)

# print some newlines
print('\n\n')

image_gray_reshaped = np.copy(image_gray)

print('image_gray_reshaped.shape', image_gray_reshaped.shape, '\n')

image_gray_reshaped = np.reshape(image_gray, -1)

print('image_gray_reshaped.shape', image_gray_reshaped.shape, '\n')

# print
s = ''
for element in image_gray_reshaped:
    s = s + '{:3d}, '.format(element)
print(s)


cv2.imshow('BGR (Press any key to escape)', image)
cv2.imshow('Gray (Press any key to escape)', image_gray)


cv2.waitKey(0)

cv2.destroyAllWindows()

