# -*- coding: utf-8 -*-
"""
Created on Fri Mar 30 11:09:01 2018

@author: Callie
"""


        
        if adjust_mask is None:

            intermediate_tag, intermediate_arr = \
                get.get_components_and_intermediate_steps(frame1, flow, Q1)
                
            filename_skin_detection, \
            filename_flow_mask, \
            filename_flow_mag_thresh, \
            filename_skin_and_flow_mag_thresh, \
            filename_DT_skin_and_flow_mag_thresh, \
            filename_DT_skin_and_flow_mag_thresh_AND_flow_mag_thresh, \
            filename_way_1_components_mask, \
            filename_DT_from_way_1_components_mask, \
            filename_less_small_connectors, \
            filename_per_cc_top_percent_mask, \
            filename_local_max_mask, \
            filename_markers, \
            filename_watershed_lines, \
            filename_way_2_components_mask, \
            filename_watershed_components, \
            filename_way_3_components_mask =  intermediate_tag
                
            skin_detection, \
            flow_mask, \
            flow_mag_thresh, \
            skin_and_flow_mag_thresh, \
            DT_skin_and_flow_mag_thresh, \
            DT_skin_and_flow_mag_thresh_AND_flow_mag_thresh, \
            way_1_components_mask, \
            DT_from_way_1_components_mask, \
            less_small_connectors, \
            per_cc_top_percent_mask, \
            local_max_mask, \
            markers, \
            watershed_lines, \
            way_2_components_mask, \
            watershed_components, \
            way_3_components_mask = intermediate_arr

            tmp = np.copy(frame1)
            fns.draw_flow(tmp, flow, np.ones(frame1.shape[0:2]), step=4)
            
            connectivity = 4
            
            cc_way_1 = cv2.connectedComponentsWithStats(way_1_components_mask,
                                                        connectivity,
                                                        cv2.CV_32S)
            
            cc_way_2 = cv2.connectedComponentsWithStats(way_2_components_mask,
                                                        connectivity,
                                                        cv2.CV_32S)
            
            cc_way_3 = cv2.connectedComponentsWithStats(way_3_components_mask,
                                                        connectivity,
                                                        cv2.CV_32S)
            
            # get the features
            cc_way_1 = get.get_features(cc_way_1, frame1, flow)
            cc_way_2 = get.get_features(cc_way_2, frame1, flow)
            cc_way_3 = get.get_features(cc_way_3, frame1, flow)
                 
            # classify with the models
            cc_way_1 = get.classify(cc_way_1, way_1_model)
            cc_way_2 = get.classify(cc_way_2, way_2_model)
            cc_way_3 = get.classify(cc_way_3, way_3_model)            
            

            # save the images for the classified
            keep_classified = []
            for tag, cc in zip(['way_1', 'way_2', 'way_3'],
                               [cc_way_1, cc_way_2, cc_way_3]):
                
                toss_labels = np.unique(cc[1])[np.where(cc[5] == 0)[0]]
                keep_labels = np.unique(cc[1])[np.where(cc[5] == 1)[0]]
                    
                prediction_overlay = overlay.overlay(frame1, cc, toss_labels,
                                                     (0, 0, 255), alpha=0.5)
                
                prediction_overlay, overlay_mask = get.overlay(\
                                                            prediction_overlay,
                                                            cc, keep_labels,
                                                            (0, 255, 0),
                                                            alpha=0.5)
                keep_classified.append(overlay_mask)
    
                cv2.imwrite(predict_review_03 + tag + '_class_prediction' + \
                            '_' + nframe1 +'.png', prediction_overlay)

                                
            keep_sum = np.sum(keep_classified, axis=0)
            keep_sum_adjusted_for_viewing = \
                ((keep_sum + 1) ** 4 - 1).astype(np.uint8) 
                
            cc_trigger = \
                cv2.connectedComponents(flow_mag_trigger_mask.astype(np.uint8),
                                        connectivity, cv2.CV_32S)
    
            overlap_trigger_keep_ways = \
                overlay.overlay(keep_sum_adjusted_for_viewing,
                                cc_trigger, np.unique(cc_trigger[-1])[1:],
                                (127, 0, 255), alpha=0.5)

            cv2.imwrite(predict_review_03 + 'overlap_trigger_keep_ways' + '_' + \
                        nframe1 +'.png', overlap_trigger_keep_ways)

            cc_summed_ways_3 = cv2.connectedComponents(\
                (keep_sum[:, :, 0] == 3).astype(np.uint8), connectivity,
                cv2.CV_32S) 


            # form the regions that join triggers and hand detection
            regions = [np.zeros(cc_summed_ways_3[1].shape)]
            for label_3 in np.unique(cc_summed_ways_3[1])[1:]:
                
                for label_trigger in np.unique(cc_trigger[1])[1:]:
                    
                    matrix_summed_ways_3 = (cc_summed_ways_3[1] == label_3)
                    matrix_trigger = (cc_trigger[1] == label_trigger)
                    
                    if np.count_nonzero(np.all([matrix_summed_ways_3,
                                                matrix_trigger], axis=0)):
                        
                        regions.append(matrix_summed_ways_3)
                        regions.append(matrix_trigger)
            
            regions_mask = np.any(regions, axis=0)

            '''
            If there are regions joined join triggers and hand detection,
            fill the holes, and
            we need to adjust the regions for the next frame and identify the
            '''
            regions_mask_final = None
            
            if np.count_nonzero(regions_mask) > 0:
                
                # fill holds and display
                regions_mask_final = \
                    comp_fns.fill_holes(regions_mask.astype(np.uint8))
                
                cc_regions = cv2.connectedComponents(regions_mask_final,
                                                     connectivity, cv2.CV_32S)
                
                cc_regions = list(cc_regions)
    
                regions_mask_final_overlay = overlay.overlay(frame1,
                                                cc_regions,
                                                np.unique(cc_regions[1])[1:],
                                                (178, 0, 255), alpha=0.5)
                
                cv2.imwrite(predict_review_03 + \
                            'regions_mask_final_overlay' + '_' + \
                            nframe1 +'.png', regions_mask_final_overlay)
                
                flow_histograms.append({})
                
                for label in np.unique(cc_regions[1])[1:]:
                    
                    bin_sums, bin_sums_div_by_count, bin_sums_div_by_area = \
                        get.get_flow_mag_in_phase_bins(flow,
                                                       cc_regions[1] == label,
                                                       -np.pi / 8, np.pi / 4)
                    
                    flow_histograms[-1][label] = [bin_sums_div_by_count]
                

            else:
                
                flow_histograms.append(None)
            

            if regions_mask_final is not None:

                # regions adjusted for next frame
                row, col = np.where(cc_regions[1] != 0)
                
                flow_row = flow[:,:,1]
                flow_col = flow[:,:,0]
                
                row_adjust = row + flow_row[row, col]
                col_adjust = col + flow_col[row, col]
                
                # make ints and ensure adjusted within image
                row_good = np.where(np.all([row_adjust  <  frame1.shape[0],
                                            row_adjust >= 0], axis=0))[0]
        
                if len(row_good) < len(row_adjust):
                    
                    row_adjust = row_adjust[row_good]
    
                    
                col_good = np.where(np.all([col_adjust  <  frame1.shape[1],
                                            col_adjust >= 0], axis=0))[0]
        
                if len(col_good) < len(col_adjust):
                    
                    col_adjust = row_adjust[col_good]
                
                # make the adusted max
                adjust_mask = np.zero(regions_mask.shape, dtype=np.uint8)
                adjust_mask[row_adjust, col_adjust] = 255
                
                
                #
                
            
        else:
            flow_histograms.append(None)

    

            
            
            

              

                

                
                
                    
                
                
            
            cv2.imwrite(predict_review_03 + filename_flow_mask + '_arrows_' + \
                nframe1 + '.png', tmp)
                  
    #            
    #            for label in np.unique(cc_regions)[1:]:
    #                
    #                comp_fns.fill_holes(\
    #                    (label == cc_regions[1]).astype(np.uint8))
                    
             
                
                         
            eib = cv2.getTickCount()
            print(nframe1,
                  'calculating features, classifying, ' + \
                  'and saving images time (seconds)',
                  (eib - eie)/ cv2.getTickFrequency(), 'triggered')
    else:

    