# -*- coding: utf-8 -*-
"""
Created on Wed May 23 19:44:36 2018

@author: Callie Darsey

cover_eyes_01
"""

import cv2
import numpy as np
import pickle

path = '../WriteUp/gathering_01/results_complaint/'
img_name = 'part1-MVI_0069_trans__0_100_176_classified_patches'
msk_name = 'part1-MVI_0069_trans__0_100_176_classified_patches'

with open(path + msk_name + '.data', 'rb') as f:  
    data_tuple = pickle.load(f)

image = cv2.imread(path + img_name + '.png')

for mask in data_tuple[0].values():
    
    image[np.stack([mask, mask, mask], axis=2)] = 0

cv2.imwrite(path + img_name + '-eyes_covered.png', image)

cv2.imshow('title', image)
cv2.waitKey(0)
cv2.destroyAllWindows()