# -*- coding: utf-8 -*-
"""
Created on Tue Feb 20 15:07:19 2018

@author: Callie Darsey

Experimenting with boxplot
"""

from matplotlib import pyplot as plt
import numpy as np


d1 = np.hstack([np.random.standard_normal((12,)) * 2.0 - 1.0,
                np.random.random_sample((6,)) * 3.0  + 3.0,
                np.random.random_sample((2,)) + 24.0])

d2 = np.hstack([np.random.standard_normal((14,)),
                np.random.random_sample((6,))])

y_min = np.min([np.min(d1), np.min(d2)])
y_max = np.max([np.max(d1), np.max(d2)])

plt.scatter(np.zeros_like(d1), d1, marker='x')
plt.title('d1')
#plt.axis([-1, 1, y_min-1, y_max+1])
plt.show()

bp1 = plt.boxplot(d1)
plt.show()


plt.scatter(np.zeros_like(d2), d2, marker='x')
plt.title('d2')
#plt.axis([-1, 1, y_min-1, y_max+1])
plt.show()

bp2 = plt.boxplot(d2)
plt.show()

together = np.stack([d1, d2], axis=1)
bptogether = plt.boxplot(together)
plt.show()

