# -*- coding: utf-8 -*-
"""
Created on Sun Apr 22 19:51:23 2018

@author: Callie Darsey

See what Wenjing's pickled data has
"""

import pickle
import cv2


with open('./wheeler/svc/all_train_data1.pkl', 'rb') as f:
    all_train_data1 = pickle.load(f)
    
with open('./wheeler/svc/label_train_data1.pkl', 'rb') as f:
    label_train_data1 = pickle.load(f)
    
face = 'face'
nonface = 'non-face'
    
for image, label in zip(all_train_data1, label_train_data1):
    
    if label == 1:
    
        cv2.imshow(face, image.reshape((60, 60)))
        
    elif label == 0:
        
        cv2.imshow(nonface, image.reshape((60, 60)))
    
    k = cv2.waitKey(0)
    
    if k == 27:
        
        break
cv2.destroyAllWindows()


